Uploaded image for project: 'Sakai'
  1. Sakai
  2. SAK-17938

Switch to Java 1.6 (Without any workarounds)

    Details

    • Type: Task
    • Status: CLOSED
    • Priority: Blocker
    • Resolution: Duplicate
    • Affects Version/s: 2.8.0
    • Fix Version/s: 2.8.0
    • Component/s: Global
    • Labels:
      None

      Description

      Java 1.5 is approaching its End-of-Life (EOL), which is scheduled for 30-Oct-2009:

      http://java.sun.com/javase/downloads/index_jdk5.jsp

      http://java.sun.com/products/archive/eol.policy.html

      For Sakai 2.5 and Sakai 2.6 (which currently is being QA'ed for release with Java 1.5) this means a switch to Java 1.6 at some point during their maintenance cycle.

      For Sakai 2.7, which is tentatively scheduled for code freeze in late 2009, this means we should start thinking about switching development of trunk/2.7 to using Java 1.6, and when it enters QA, it will be QA'ed with Java 1.6.

      For Sakai 3.0, which is still early in development, this likely also means a switch in development and QA to Java 1.6 at some point soon.

        Gliffy Diagrams

          Zeplin

            Attachments

              Issue Links

                Activity

                  People

                  Assignee:
                  maintenanceteam Core Team
                  Reporter:
                  a.m.berg@uva.nl Alan Berg
                  Votes:
                  1 Vote for this issue
                  Watchers:
                  2 Start watching this issue

                    Dates

                    Created:
                    Updated:
                    Resolved:

                      Git Integration